<template>
  <div>
    <input class="search" placeholder="Type to filter..." />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'FilterBar'
})
</script>

<style>
.search {
  width: 20%;
  border-radius: 0 5px 0 0;
  height: 42px;
  border-style: none;
  padding: 10px;
  border-left: 1px solid #f4f4f4;
  position: absolute;
}

input:focus,
textarea:focus,
select:focus {
  outline: none !important;
  border: solid 1px #13bc74;
}
</style>
